# General thoughts

I am quite happy with the project I made. From the get-go, I did not plan to do anything complex, so a porftolio page was the perfect choice. I used simple colors and styling on all of the elements on the page. I know that concluding development here leaves some *bad* decisions in the html code thus making styling more difficult. This can be seen, especially, in the form section, where not enough divs were used. The project taught me some new scss methods, so I am happy.

## Technological challenge

There was not that much challenge in the tech applied. I used Bootstrap in the background to help keep certain element stylings up to the standards and modified them to my likings. From the start of the project, scss was a breeze to use, even when the code is not that good at some points. I added the possibility of using <https://formspree.io/> in the contact section. Its functionality is disabled because I do not want possible spam.

## Visual elements

I used general fonts in the project which should be compatible 100% and that was important to me. I thought about Google material design buttons and wanted something similar for my site. I am happy with the way the site looks and changes when scaling to different screen sizes. I included some svgs for the *about page* just to have them in the project. There are animations for page swiping and for button hovers, which I think were implemented well. I used Firefox and Chrome to test the page and it worked well in both.

### Here are the sites I took inspiration from
<https://pollpapa.com/>     for buttons

<https://olaolu.dev/>       page swiping

<https://www.awwwards.com/>     overall design, navbar

## Performance

Performance is good. Even my old mobile phone loads up the page quickly. Only negative I come up with is the portrait picture on the *home page* because it is quite a large file and I just scaled it down using css.

PageSpeed Insights on desktop
![PageSpeed Insights desktop](desktopspeed.png)



PageSpeed Insights on mobile
![PageSpeed Insights mobile](mobilespeed.png)

## Grading

I think I nailed the basics when it comes to the topics of the course. Scaling works well enough, typography is acceptable, animations are used and the page is accessible. There are definitely things to improve on and to implement in order to achieve a higher grade. I am fine with the current outcome and **would give myself a grade of 4**.
